Delete project
curl --request DELETE \
--url https://semgrep.dev/api/v1/deployments/{deploymentSlug}/projects/{projectName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://semgrep.dev/api/v1/deployments/{deploymentSlug}/projects/{projectName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://semgrep.dev/api/v1/deployments/{deploymentSlug}/projects/{projectName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project_name": "organization/project"
}Projects
Delete project
Delete a project for a deployment you have access to. This will also delete all of the associated findings.
DELETE
/
api
/
v1
/
deployments
/
{deploymentSlug}
/
projects
/
{projectName}
Delete project
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Slug of the deployment name. Can be found at /deployments, or in your Settings in the web UI.
Example:
"your-deployment"
Name of the project, typically the repository formatted as a path.
Example:
"organization/project"
Response
200 - application/json
OK
Successfully deleted the project.
The name of the deleted project.
Example:
"organization/project"
Was this page helpful?